#

API Docs for: 0.6.1
Show: Inherited Protected Private Deprecated

# ConeTwistConstraint Class

Extends PointToPointConstraint
Defined in: `src/constraints/ConeTwistConstraint.js:10`

## Constructor

### `ConeTwistConstraint`

(

- `bodyA`
- `bodyB`
- `[options]`

)

Defined in `src/constraints/ConeTwistConstraint.js:10`

#### Parameters:

- `bodyA` Body
- `bodyB` Body
- `[options]` Object optional
  - `[pivotA]` Vec3 optional
  - `[pivotB]` Vec3 optional
  - `[axisA]` Vec3 optional
  - `[axisB]` Vec3 optional
  - `[maxForce=1e6]` Number optional

- Index
- Methods
- Properties

## Item Index

### Methods

- disable
- enable
- update

### Properties

- bodyA
- bodyB
- collideConnected
- coneEquation
- equations
- equationX
- equationY
- equationZ
- id
- pivotA
- pivotB
- twistEquation

## Methods

### `disable`

()

Inherited from Constraint: `src/constraints/Constraint.js:80`

Disables all equations in the constraint.

### `enable`

()

Inherited from Constraint: `src/constraints/Constraint.js:69`

Enables all equations in the constraint.

### `update`

()

Inherited from Constraint: `src/constraints/Constraint.js:61`

Update all the equations with data.

## Properties

### `bodyA`

Body

Inherited from Constraint: `src/constraints/Constraint.js:29`

### `bodyB`

Body

Inherited from Constraint: `src/constraints/Constraint.js:34`

### `collideConnected`

Boolean

Inherited from Constraint: `src/constraints/Constraint.js:44`

Set to true if you want the bodies to collide when they are connected.

### `coneEquation`

ConeEquation

Defined in `src/constraints/ConeTwistConstraint.js:40`

### `equations`

Array

Inherited from Constraint: `src/constraints/Constraint.js:22`

Equations to be solved in this constraint

### `equationX`

ContactEquation

Inherited from PointToPointConstraint: `src/constraints/PointToPointConstraint.js:49`

### `equationY`

ContactEquation

Inherited from PointToPointConstraint: `src/constraints/PointToPointConstraint.js:54`

### `equationZ`

ContactEquation

Inherited from PointToPointConstraint: `src/constraints/PointToPointConstraint.js:59`

### `id`

Number

Inherited from Constraint: `src/constraints/Constraint.js:39`

### `pivotA`

Vec3

Inherited from PointToPointConstraint: `src/constraints/PointToPointConstraint.js:37`

Pivot, defined locally in bodyA.

### `pivotB`

Vec3

Inherited from PointToPointConstraint: `src/constraints/PointToPointConstraint.js:43`

Pivot, defined locally in bodyB.

### `twistEquation`

RotationalEquation

Defined in `src/constraints/ConeTwistConstraint.js:45`